# Configuration file for the Sphinx documentation builder.

# -- Project information

project = 'shiso'
copyright = '2025, Immunoliugy'
author = 'Immunoliugy'

release = '0.1'
version = '0.1.0'

# -- General configuration

extensions = [
    'sphinx.ext.duration',
    'sphinx.ext.doctest',
    'sphinx.ext.autodoc',
    'sphinx.ext.autosummary',
    'sphinx.ext.intersphinx',
]

intersphinx_mapping = {
    'python': ('https://docs.python.org/3/', None),
    'sphinx': ('https://www.sphinx-doc.org/en/master/', None),
}
intersphinx_disabled_domains = ['std']

templates_path = ['_templates']

# -- Options for HTML output

html_theme = 'sphinx_book_theme'

# -- Options for EPUB output
epub_show_urls = 'footnote'

# title
html_title = "shiso"         # This is used in the browser tab title and header
html_short_title = "shiso"    # This is sometimes used in navigation elements
html_theme_options = {
    "show_header_version": False,
    "logo": {
        "image_light": "_static/shiso-light.png",
        "image_dark": "_static/shiso-dark.png",
    },
    "logo_only": True,  # Displays only the logo in the header
}
